## tdeaccessibility-trinity 14.1.0

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( tdeaccessibility )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFiles      )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )
enable_testing( )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS           "Enable aRts support"                               ON                  )
option( WITH_AKODE          "Enable akode support"                              ${WITH_ALL_OPTIONS} )
option( WITH_ALSA           "Enable alsa support"                               ${WITH_ALL_OPTIONS} )
option( WITH_GSTREAMER      "Enable Gstreamer support"                          OFF                 )

########################################################################
#                                                                      #
#                   aRts support is needed to build:                   #
#                   - kttsd artsplayer                                 #
#                   - ksayit                                           #
#                   - ksayit freeverb plugin                           #
#                                                                      #
########################################################################


##### user requested modules

option( BUILD_ALL "Build all" ON )

option( BUILD_KBSTATEAPPLET   "Build kbstateapplet"          ${BUILD_ALL} )
option( BUILD_KMAG            "Build kmag"                   ${BUILD_ALL} )
option( BUILD_KMOUSETOOL      "Build kmousetool"             ${BUILD_ALL} )
option( BUILD_KMOUTH          "Build kmouth"                 ${BUILD_ALL} )
option( BUILD_KSAYIT          "Build ksayit"                 ${BUILD_ALL} )
option( BUILD_KSAYIT_FREEVERB "Build ksayit freeverb plugin" ${BUILD_ALL} )
option( BUILD_KTTSD           "Build kttsd"                  ${BUILD_ALL} )
option( BUILD_KTTSD_COMMAND   "Build kttsd command plugin"   ${BUILD_ALL} )
option( BUILD_KTTSD_EPOS      "Build kttsd epos plugin"      ${BUILD_ALL} )
option( BUILD_KTTSD_FESTIVAL  "Build kttsd festival plugin"  ${BUILD_ALL} )
option( BUILD_KTTSD_FLITE     "Build kttsd flite plugin"     ${BUILD_ALL} )
option( BUILD_KTTSD_FREETTS   "Build kttsd freetts plugin"   ${BUILD_ALL} )
option( BUILD_KTTSD_HADIFIX   "Build kttsd hadifix plugin"   ${BUILD_ALL} )
option( BUILD_KTTSD_KATE      "Build kttsd kate plugin"      ${BUILD_ALL} )
option( BUILD_ICONTHEMES      "Build icons"                  ${BUILD_ALL} )
option( BUILD_DOC             "Build documentation"          ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

tde_conditional_add_subdirectory( BUILD_KBSTATEAPPLET kbstateapplet )
tde_conditional_add_subdirectory( BUILD_KMAG          kmag          )
tde_conditional_add_subdirectory( BUILD_KMOUSETOOL    kmousetool    )
tde_conditional_add_subdirectory( BUILD_KMOUTH        kmouth        )
tde_conditional_add_subdirectory( BUILD_KSAYIT        ksayit        )
tde_conditional_add_subdirectory( BUILD_KTTSD         kttsd         )
tde_conditional_add_subdirectory( BUILD_ICONTHEMES    IconThemes    )
tde_conditional_add_subdirectory( BUILD_DOC           doc           )

if( BUILD_KSAYIT OR BUILD_KTTSD )
    add_subdirectory( kspeechsink )
endif()


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== doc/kmouth/CMakeLists.txt ===
FILE( GLOB EPS_FILES *.eps)

INSTALL(
    FILES ${EPS_FILES}
    DESTINATION ${HTML_INSTALL_DIR}/en/kmouth
)

tde_create_handbook( DESTINATION kmouth )

=== doc/man/ksayit/CMakeLists.txt ===
INSTALL(
    FILES ksayit.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== doc/man/kttsd/CMakeLists.txt ===
INSTALL(
    FILES kttsd.1 kttsmgr.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

tdeaccessibility-trinity (4:3.5.10-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdeaccessibility-trinity (4:3.5.10-0ubuntu1~intrepid4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 28 Feb 2009 16:19:00 -0600

tdeaccessibility-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * Import from SVN

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 26 Nov 2008 21:56:00 -0600

tdeaccessibility (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep version of tdelibs4-dev and tdemultimedia-dev to
      3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:21:01 -0400

tdeaccessibility (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:05 +0000

tdeaccessibility (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:59:22 +0000

tdeaccessibility (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - Remove Section: contrib/ from kttsd-contrib-plugins

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:46 +0000

tdeaccessibility (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
  * Implement uploaders.mk

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update section in Debian menu files.
  * Redo buildprep and bump version stuff to 3.5.8.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 14 Oct 2007 18:28:25 +0200

tdeaccessibility (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * Remove contrib section

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 21:52:11 +0100

tdeaccessibility (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 17:00:20 +0100

tdeaccessibility (4:3.5.7-1) unstable; urgency=low

  * New upstream version. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 16 May 2007 02:01:02 +0100

tdeaccessibility (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian
  * No remaining changes besides patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:56 +0100

tdeaccessibility (4:3.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Apr 2007 17:36:39 +0100

tdeaccessibility (4:3.5.6-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:
  * Fix some kfreebsd related problems: don't expect alsa stuff to be
    installed. (Closes: 403741)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 18 Jan 2007 00:20:08 +0100

tdeaccessibility (4:3.5.5-2) unstable; urgency=low

  ++ Changes by Josh Metzler:
  * Make tdeaccessibility-dbg depend on tdelibs-dbg to get useful backtraces
    when debugging.

  ++ Ana Beatriz Guerrero Lopez:
  * Removed plugin for GStreamer of kttsd. (This plugin was built against
    GStreamer 0.8 that is going to be removed from the archive).
  * Added extras spaces to homepage pseudo header. 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu,  7 Dec 2006 14:56:02 +0100

tdeaccessibility (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:31 +0000

tdeaccessibility (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 22:12:42 +0000

tdeaccessibility (4:3.5.5-1) unstable; urgency=low

  * New upstream release.
    + Fixes ksayit: crash with "terminate called after throwing an instance
      of 'QString'" error. (Closes: #350678)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  4 Oct 2006 20:40:37 -0400

tdeaccessibility (4:3.5.4-1) unstable; urgency=low

  * New upstream release.

  * KDE_3_5_BRANCH update (up to r567761).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Jul 2006 21:12:52 -0400

tdeaccessibility (4:3.5.5-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  3 Oct 2006 10:56:05 +0000

tdeaccessibility (4:3.5.4-0ubuntu5) edgy; urgency=low

  * Rebuild on latest cdbs to change .pot files to UTF8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Sep 2006 13:09:37 +0100

tdeaccessibility (4:3.5.4-0ubuntu4) edgy; urgency=low

  * Rebuild with latest cdbs to add gettext domain to .desktop files for
    langpacks-desktopfiles-kde, no source changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Sep 2006 22:53:10 +0000

tdeaccessibility (4:3.5.4-0ubuntu3) edgy; urgency=low

  * Build-dep on new akode so it doesn't bring in akode-mpeg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  2 Aug 2006 13:35:28 +0000

tdeaccessibility (4:3.5.4-0ubuntu2) edgy; urgency=low

  * Build-dep on new akode so it doesn't bring in Jack

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 Jul 2006 16:28:24 +0100

tdeaccessibility (4:3.5.4-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jul 2006 10:12:17 +0000

tdeaccessibility (4:3.5.3-1ubuntu1) edgy; urgency=low

  * Sync with Debian
  * Don't build-dep on gstreamer0.8 and remove --with-gstreamer (it's in universe)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  4 Jul 2006 15:12:40 +0000

tdeaccessibility (4:3.5.3-1) unstable; urgency=low

  * New upstream release.


## tdeaccessibility-trinity 14.1.1

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 06:51:21 +0200

=== debian/control ===
Source: tdeaccessibility-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libakode-dev, libxtst-dev
Standards-Version: 3.8.4

Package: tdeaccessibility-trinity
Section: tde
Architecture: all
Replaces: kdeaccessibility-kde3 (<< 4:14.0.0~), kdeaccessibility-trinity (<< 4:14.0.0~)
Breaks: kdeaccessibility-kde3 (<< 4:14.0.0~), kdeaccessibility-trinity (<< 4:14.0.0~)
Depends: kmag-trinity (>= ${source:Version}), kmousetool-trinity (>= ${source:Version}), kmouth-trinity (>= ${source:Version}), kbstate-trinity (>= ${source:Version}), ksayit-trinity (>= ${source:Version}), kttsd-trinity (>= ${source:Version})
Recommends: tde-icons-mono-trinity (>= ${source:Version})
Suggests: kttsd-contrib-plugins-trinity (>= ${source:Version}), tdeaccessibility-trinity-doc-html (>= ${source:Version})
Description: accessibility packages from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of programs to make TDE more
 accessible, provided with the official release of TDE.
 .
  Homepage: http://accessibility.kde.org

Package: tdeaccessibility-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdeaccessibility-kde3-doc-html (<< 4:14.0.0~), kdeaccessibility-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdeaccessibility-kde3-doc-html (<< 4:14.0.0~), kdeaccessibility-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE accessibility documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE accessibility documentation converted
 to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kmag/. Documentation is provided for most
 TDE accessibility packages.
 .
 This package is part of Trinity, and a component of the TDE accessibility
 module. See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.

Package: tde-icons-mono-trinity
Section: tde
Architecture: all
Replaces: kde-icons-mono-kde3 (<< 4:14.0.0~), kde-icons-mono-trinity (<< 4:14.0.0~)
Breaks: kde-icons-mono-kde3 (<< 4:14.0.0~), kde-icons-mono-trinity (<< 4:14.0.0~)
Description: a monochromatic icons theme for TDE
 A monochromatic icon theme for TDE, designed for accessibility purposes.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.

Package: kbstate-trinity
Section: utils
Architecture: any
Replaces: kbstate-kde3 (<< 4:14.0.0~), kbstate-trinity (<< 4:14.0.0~)
Breaks: kbstate-kde3 (<< 4:14.0.0~), kbstate-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a keyboard status applet for TDE
 A panel applet that displays the keyboard status.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.

Package: kmag-trinity
Section: utils
Architecture: any
Replaces: kmag-kde3 (<< 4:14.0.0~), kmag-trinity (<< 4:14.0.0~)
Breaks: kmag-kde3 (<< 4:14.0.0~), kmag-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a screen magnifier for TDE
 TDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use 
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.

Package: kmousetool-trinity
Section: utils
Architecture: any
Replaces: kmousetool-kde3 (<< 4:14.0.0~), kmousetool-trinity (<< 4:14.0.0~)
Breaks: kmousetool-kde3 (<< 4:14.0.0~), kmousetool-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: TDE mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.

Package: kmouth-trinity
Section: utils
Architecture: any
Replaces: kmouth-kde3 (<< 4:14.0.0~), kmouth-trinity (<< 4:14.0.0~)
Breaks: kmouth-kde3 (<< 4:14.0.0~), kmouth-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a type-and-say TDE frontend for speech synthesizers
 TDE's type-and-say frontend for speech synthesizers.
 .
 It includes a history of spoken sentences from which the user can select
 sentences to be re-spoken.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.

Package: ksayit-trinity
Section: utils
Architecture: any
Replaces: ksayit-kde3 (<< 4:14.0.0~), ksayit-trinity (<< 4:14.0.0~)
Breaks: ksayit-kde3 (<< 4:14.0.0~), ksayit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a frontend for the TDE Text-to-Speech system
 Text-to-speech front-end to kttsd.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.


Package: kttsd-trinity
Section: utils
Architecture: any
Replaces: kttsd-kde3 (<< 4:14.0.0~), kttsd-trinity (<< 4:14.0.0~)
Breaks: kttsd-kde3 (<< 4:14.0.0~), kttsd-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ksayit-trinity (= ${source:Version}) | kmouth-trinity (= ${source:Version}), festival | flite | epos
Suggests: kttsd-contrib-plugins-trinity (= ${source:Version})
Description: a Text-to-Speech system for TDE
 The TDE Text-to-Speech system is a plugin based service that allows any TDE
 (or non-TDE) application to speak using the DCOP interface.
 .
 ksayit and kmouth are useful front-ends for this capability, while one of
 festival, flite, and epos are essential back-ends.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.
 .
  Homepage: http://accessibility.kde.org/developer/kttsd

Package: kttsd-contrib-plugins-trinity
Section: utils
Architecture: any
Replaces: kttsd-contrib-plugins-kde3 (<< 4:14.0.0~), kttsd-contrib-plugins-trinity (<< 4:14.0.0~)
Breaks: kttsd-contrib-plugins-kde3 (<< 4:14.0.0~), kttsd-contrib-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: the TDE Text-to-Speech system
 kttsd synthetizer plugins that depends on non-free software :
  * FreeTTS plugin.
  * Hadifix (mbrola/txt2pho) plugin.
 Those plugins will require manual installation of third party,
 non free software to work.
 .
 This package is part of Trinity, as a component of the TDE accessibility module.
 See the 'tde-trinity' and 'tdeaccessibility-trinity' packages for more information.

Package: tdeaccessibility-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdeaccessibility-kde3-dbg (<< 4:14.0.0~), kdeaccessibility-trinity-dbg (<< 4:14.0.0~)
Breaks: kdeaccessibility-kde3-dbg (<< 4:14.0.0~), kdeaccessibility-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdeaccessibility-trinity
 This package contains the debugging symbols associated with tdeaccessibility-trinity.
 They will automatically be used by gdb for debugging tdeaccessibility-related
 issues.

## tdeaccessibility-trinity 14.1.2

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Apr 2024 00:50:35 +0200

## tdeaccessibility-trinity 14.1.3

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:22 +0200

## tdeaccessibility-trinity 14.1.4

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.4-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

#DEB_MAKE_CHECK_TARGET = check

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## tdeaccessibility-trinity 14.1.5~pre4

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.5~pre4-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for c4b2005230d20ce3d5acbb7aea83d847078efcec
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeaccessibility-trinity 14.1.5

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeaccessibility-trinity 14.1.6~pre1

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2cc43e31696ec642bec26640b49cf39d5b0d0f0c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:36:57 +0100

## tdeaccessibility-trinity 14.1.6~pre3

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 40f42a0e821a57958d4ebf678b8a2972beb695f0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:11 +0100

## tdeaccessibility-trinity 14.1.6~pre6

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 890dccde82052c507ac043f9547fb62f7c2a455d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Jan 2026 20:01:30 +0100

## tdeaccessibility-trinity 14.1.6~pre7

=== kbstateapplet/CMakeLists.txt ===
add_subdirectory( images )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

include_directories(
  SYSTEM
  ${X11_INCLUDE_DIR}
  ${X11_Xkb_INCLUDE_PATH}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kbstate_panelapplet (kpart)

tde_add_kpart( kbstate_panelapplet MODULE AUTOMOC

  SOURCES
        kbstate.cpp
  LINK
     tdeui-shared
     tdecore-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kbstateapplet.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
    PO_DIR kbstateapplet-desktops
)

=== kmousetool/kmousetool/CMakeLists.txt ===
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

include_directories(
  SYSTEM
  ${X11_INCLUDE_DIR}
  ${X11_XTest_INCLUDE_PATH}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kmousetool (executable)

tde_add_executable( kmousetool AUTOMOC

  SOURCES
        kmousetoolui.ui
        mtstroke.cpp
        kmousetool.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${X11_LIBRARIES}
     ${X11_XTest_LIB}
     ${X11_Xext_LIB}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kmousetool.desktop
    PO_DIR kmousetool-desktops
)

install(
    FILES mousetool_tap.wav
    DESTINATION ${DATA_INSTALL_DIR}/kmousetool/sounds
)

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.6~pre7-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for cc7af6e6095db344a2c749ec40428fa2046a10f6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:55 +0100

## tdeaccessibility-trinity 14.1.6~pre9

=== debian/changelog ===
tdeaccessibility-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d6fd81619318356ca4c9f0ec15202670c284e9cc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:17:40 +0100

## tdeaccessibility-trinity 14.2.0~pre98

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -31,11 +35,6 @@
 
 include( TDEMacros )
 enable_testing( )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== doc/CMakeLists.txt ===
add_subdirectory( man )

tde_conditional_add_subdirectory( BUILD_KMAG       kmag       )
tde_conditional_add_subdirectory( BUILD_KMOUSETOOL kmousetool )
tde_conditional_add_subdirectory( BUILD_KMOUTH     kmouth     )
tde_conditional_add_subdirectory( BUILD_KSAYIT     ksayit     )
tde_conditional_add_subdirectory( BUILD_KTTSD      kttsd      )

=== kttsd/players/gstplayer/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kttsd/libkttsd
  ${GSTREAMER_INCLUDE_DIRS}
  ${GLIB2_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkttsd_gstplugin (kpart)

tde_add_kpart( libkttsd_gstplugin AUTOMOC

  SOURCES
        gstplugin.cpp
        gstreamerplayer.cpp
  LINK
     kttsd-shared
     ${GSTREAMER_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kttsd_gstplugin.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kttsd-desktops
)

=== debian/changelog ===
tdeaccessibility-trinity (4:14.2.0~pre98-0debian11.0.0+6) bullseye; urgency=low

  * Automated git build for d13ce13f288d1bc043dfff94fa367dbb8481e1e6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libakode-dev, libxtst-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libakode-dev, libxtst-dev
 Standards-Version: 3.8.4
 
 Package: tdeaccessibility-trinity
 Section: tde
 Architecture: all
-Replaces: kdeaccessibility-kde3 (<< 4:14.0.0~), kdeaccessibility-trinity (<< 4:14.0.0~)
-Breaks: kdeaccessibility-kde3 (<< 4:14.0.0~), kdeaccessibility-trinity (<< 4:14.0.0~)
+Replaces: kdeaccessibility-trinity (<< 4:14.0.0~)
+Breaks: kdeaccessibility-trinity (<< 4:14.0.0~)
 Depends: kmag-trinity (>= ${source:Version}), kmousetool-trinity (>= ${source:Version}), kmouth-trinity (>= ${source:Version}), kbstate-trinity (>= ${source:Version}), ksayit-trinity (>= ${source:Version}), kttsd-trinity (>= ${source:Version})
 Recommends: tde-icons-mono-trinity (>= ${source:Version})
 Suggests: kttsd-contrib-plugins-trinity (>= ${source:Version}), tdeaccessibility-trinity-doc-html (>= ${source:Version})
@@ -29,8 +29,8 @@
 Package: tdeaccessibility-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdeaccessibility-kde3-doc-html (<< 4:14.0.0~), kdeaccessibility-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdeaccessibility-kde3-doc-html (<< 4:14.0.0~), kdeaccessibility-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdeaccessibility-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdeaccessibility-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: TDE accessibility documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -49,8 +49,8 @@
 Package: tde-icons-mono-trinity
 Section: tde
 Architecture: all
-Replaces: kde-icons-mono-kde3 (<< 4:14.0.0~), kde-icons-mono-trinity (<< 4:14.0.0~)
-Breaks: kde-icons-mono-kde3 (<< 4:14.0.0~), kde-icons-mono-trinity (<< 4:14.0.0~)
+Replaces: kde-icons-mono-trinity (<< 4:14.0.0~)
+Breaks: kde-icons-mono-trinity (<< 4:14.0.0~)
 Description: a monochromatic icons theme for TDE
  A monochromatic icon theme for TDE, designed for accessibility purposes.
  .
@@ -60,8 +60,8 @@
 Package: kbstate-trinity
 Section: utils
 Architecture: any
-Replaces: kbstate-kde3 (<< 4:14.0.0~), kbstate-trinity (<< 4:14.0.0~)
-Breaks: kbstate-kde3 (<< 4:14.0.0~), kbstate-trinity (<< 4:14.0.0~)
+Replaces: kbstate-trinity (<< 4:14.0.0~)
+Breaks: kbstate-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: a keyboard status applet for TDE
@@ -73,8 +73,8 @@
 Package: kmag-trinity
 Section: utils
 Architecture: any
-Replaces: kmag-kde3 (<< 4:14.0.0~), kmag-trinity (<< 4:14.0.0~)
-Breaks: kmag-kde3 (<< 4:14.0.0~), kmag-trinity (<< 4:14.0.0~)
+Replaces: kmag-trinity (<< 4:14.0.0~)
+Breaks: kmag-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: a screen magnifier for TDE
@@ -91,8 +91,8 @@
 Package: kmousetool-trinity
 Section: utils
 Architecture: any
-Replaces: kmousetool-kde3 (<< 4:14.0.0~), kmousetool-trinity (<< 4:14.0.0~)
-Breaks: kmousetool-kde3 (<< 4:14.0.0~), kmousetool-trinity (<< 4:14.0.0~)
+Replaces: kmousetool-trinity (<< 4:14.0.0~)
+Breaks: kmousetool-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: TDE mouse manipulation tool for the disabled
@@ -106,8 +106,8 @@
 Package: kmouth-trinity
 Section: utils
 Architecture: any
-Replaces: kmouth-kde3 (<< 4:14.0.0~), kmouth-trinity (<< 4:14.0.0~)
-Breaks: kmouth-kde3 (<< 4:14.0.0~), kmouth-trinity (<< 4:14.0.0~)
+Replaces: kmouth-trinity (<< 4:14.0.0~)
+Breaks: kmouth-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: a type-and-say TDE frontend for speech synthesizers
@@ -122,8 +122,8 @@
 Package: ksayit-trinity
 Section: utils
 Architecture: any
-Replaces: ksayit-kde3 (<< 4:14.0.0~), ksayit-trinity (<< 4:14.0.0~)
-Breaks: ksayit-kde3 (<< 4:14.0.0~), ksayit-trinity (<< 4:14.0.0~)
+Replaces: ksayit-trinity (<< 4:14.0.0~)
+Breaks: ksayit-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: a frontend for the TDE Text-to-Speech system
@@ -136,8 +136,8 @@
 Package: kttsd-trinity
 Section: utils
 Architecture: any
-Replaces: kttsd-kde3 (<< 4:14.0.0~), kttsd-trinity (<< 4:14.0.0~)
-Breaks: kttsd-kde3 (<< 4:14.0.0~), kttsd-trinity (<< 4:14.0.0~)
+Replaces: kttsd-trinity (<< 4:14.0.0~)
+Breaks: kttsd-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: ksayit-trinity (= ${source:Version}) | kmouth-trinity (= ${source:Version}), festival | flite | epos
 Suggests: kttsd-contrib-plugins-trinity (= ${source:Version})
@@ -156,8 +156,8 @@
 Package: kttsd-contrib-plugins-trinity
 Section: utils
 Architecture: any
-Replaces: kttsd-contrib-plugins-kde3 (<< 4:14.0.0~), kttsd-contrib-plugins-trinity (<< 4:14.0.0~)
-Breaks: kttsd-contrib-plugins-kde3 (<< 4:14.0.0~), kttsd-contrib-plugins-trinity (<< 4:14.0.0~)
+Replaces: kttsd-contrib-plugins-trinity (<< 4:14.0.0~)
+Breaks: kttsd-contrib-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: the TDE Text-to-Speech system
  kttsd synthetizer plugins that depends on non-free software :
@@ -172,8 +172,8 @@
 Package: tdeaccessibility-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: kdeaccessibility-kde3-dbg (<< 4:14.0.0~), kdeaccessibility-trinity-dbg (<< 4:14.0.0~)
-Breaks: kdeaccessibility-kde3-dbg (<< 4:14.0.0~), kdeaccessibility-trinity-dbg (<< 4:14.0.0~)
+Replaces: kdeaccessibility-trinity-dbg (<< 4:14.0.0~)
+Breaks: kdeaccessibility-trinity-dbg (<< 4:14.0.0~)
 Depends: tdelibs-trinity-dbg
 Priority: extra
 Description: debugging symbols for tdeaccessibility-trinity

## tdeaccessibility-trinity 14.2.0~pre99

=== IconThemes/CMakeLists.txt ===
##### index theme

tde_create_translated_desktop(
    SOURCE mono/index.theme
    DESTINATION ${ICON_INSTALL_DIR}/mono
    PO_DIR icon-themes
)


##### svgz icons

set( _icon_type actions apps categories devices mimetypes places )

foreach( icon_type ${_icon_type} )
     file( GLOB _files ${CMAKE_CURRENT_SOURCE_DIR}/mono/scalable/${icon_type}/*.svgz )
     install( FILES ${_files} DESTINATION ${ICON_INSTALL_DIR}/mono/scalable/${icon_type} )
endforeach( icon_type )


##### png icons

set( _icon_size 16x16 22x22 32x32 48x48 64x64 96x96 128x128 192x192 256x256 )

foreach( icon_size ${_icon_size} )
     file( GLOB _files ${CMAKE_CURRENT_SOURCE_DIR}/mono/png/${icon_size}/actions/*.png )
     install( FILES ${_files} DESTINATION ${ICON_INSTALL_DIR}/mono/png/${icon_size}/actions )
endforeach( icon_size )

=== kmouth/books/CMakeLists.txt ===
##### phrasebooks

foreach( _lang de en nl sv )
    install(
        FILES
            ${_lang}-courteousness.phrasebook
            ${_lang}-greetings.phrasebook
            ${_lang}-howareyou.phrasebook
            ${_lang}-personal.phrasebook

        DESTINATION ${DATA_INSTALL_DIR}/kmouth/books/${_lang}
    )

    tde_create_translated_desktop(
        SOURCE ${_lang}.desktop
        DESTINATION ${DATA_INSTALL_DIR}/kmouth/books/${_lang}
        PO_DIR kmouth-desktops
    )
endforeach()

=== kmouth/icons/CMakeLists.txt ===
add_subdirectory( history    )
add_subdirectory( phrase     )
add_subdirectory( phrasebook )
add_subdirectory( app        )


tde_install_icons(
    DESTINATION ${DATA_INSTALL_DIR}/kmouth/icons
)

=== kmouth/phrasebook/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### phrasebook (static)

tde_add_library( phrasebook STATIC_PIC AUTOMOC

  SOURCES
        buttonboxui.ui
        phrasetree.cpp
        phrasebookparser.cpp
        phrasebookdialog.cpp
        phrasebook.cpp
)


install(
    FILES phrasebookdialogui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kmouth
)

=== kmouth/wordcompletion/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### wordcompletion (static)

tde_add_library( wordcompletion STATIC_PIC AUTOMOC

  SOURCES
        wordcompletionui.ui
        creationsourceui.ui
        creationsourcedetailsui.ui
        kdedocsourceui.ui
        wordlist.cpp
        wordcompletion.cpp
        wordcompletionwidget.cpp
        dictionarycreationwizard.cpp
        klanguagebutton.cpp
        klanguagebuttonhelper.cpp
)

=== kttsd/libkttsd/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

##### kttsd (shared)

tde_add_library( kttsd SHARED AUTOMOC

  SOURCES
        selecttalkerwidget.ui
        pluginproc.cpp
        pluginconf.cpp
        testplayer.cpp
        stretcher.cpp
        talkercode.cpp
        filterproc.cpp
        filterconf.cpp
        utils.cpp
        selecttalkerdlg.cpp
        notify.cpp
  LINK
     tdecore-shared
     tdeio-shared
     tdeui-shared

  VERSION 1.0.0
     
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kttsd_synthplugin.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
    PO_DIR kttsd-desktops
)

=== kttsd/players/CMakeLists.txt ===
tde_conditional_add_subdirectory( WITH_ARTS      artsplayer  )
tde_conditional_add_subdirectory( WITH_AKODE     akodeplayer )
tde_conditional_add_subdirectory( WITH_ALSA      alsaplayer  )
tde_conditional_add_subdirectory( WITH_GSTREAMER gstplayer   )


##### other data

tde_create_translated_desktop(
    SOURCE kttsd_audioplugin.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
    PO_DIR kttsd-desktops
)

=== kttsd/plugins/CMakeLists.txt ===
tde_conditional_add_subdirectory( BUILD_KTTSD_COMMAND  command     )
tde_conditional_add_subdirectory( BUILD_KTTSD_EPOS     epos        )
tde_conditional_add_subdirectory( BUILD_KTTSD_FESTIVAL festivalint )
tde_conditional_add_subdirectory( BUILD_KTTSD_FREETTS  freetts     )
tde_conditional_add_subdirectory( BUILD_KTTSD_FLITE    flite       )
tde_conditional_add_subdirectory( BUILD_KTTSD_HADIFIX  hadifix     )

=== kttsd/filters/talkerchooser/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kttsd/libkttsd
  ${CMAKE_BINARY_DIR}/kttsd/libkttsd
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkttsd_talkerchooserplugin (kpart)

tde_add_kpart( libkttsd_talkerchooserplugin AUTOMOC

  SOURCES
        talkerchooserconfwidget.ui
        talkerchooserconf.cpp
        talkerchooserproc.cpp
        talkerchooserplugin.cpp
  LINK
     kttsd-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kttsd_talkerchooserplugin.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kttsd-desktops
)

install(
    FILES female_notifications_rc
    DESTINATION ${DATA_INSTALL_DIR}/kttsd/talkerchooser
)

=== kttsd/filters/xmltransformer/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kttsd/libkttsd
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkttsd_xmltransformerplugin (kpart)

tde_add_kpart( libkttsd_xmltransformerplugin AUTOMOC

  SOURCES
        xmltransformerconfwidget.ui
        xmltransformerconf.cpp
        xmltransformerproc.cpp
        xmltransformerplugin.cpp
  LINK
     kttsd-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kttsd_xmltransformerplugin.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kttsd-desktops
)

install(
    FILES xhtml2ssml.xsl xhtml2ssml_simple.xsl
    DESTINATION ${DATA_INSTALL_DIR}/kttsd/xmltransformer
)

=== debian/changelog ===
tdeaccessibility-trinity (4:14.2.0~pre99-0raspbian12.0.0+6) raspbian-bookworm; urgency=low

  * Automated git build for 1e9f7bd46462b465cfcb212a0168b56ed7fa62ac
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Nov 2025 16:48:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #! /usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 #DEB_MAKE_CHECK_TARGET = check

## tdeaccessibility-trinity 14.2.0~pre101

=== debian/changelog ===
tdeaccessibility-trinity (4:14.2.0~pre101-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 52a549cbf0ebae0b8b2d5c4ca305453edfc74ce2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:12:46 +0100

## tdeaccessibility-trinity 14.2.0~pre104

=== debian/changelog ===
tdeaccessibility-trinity (4:14.2.0~pre104-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1565cb42d3fd1543d70739e939640e3184168455
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Jan 2026 18:45:01 +0100

## tdeaccessibility-trinity 14.2.0~pre105

=== kttsd/players/alsaplayer/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kttsd/libkttsd
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

include_directories(
  SYSTEM
  ${ALSA_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkttsd_alsaplugin (kpart)

tde_add_kpart( libkttsd_alsaplugin AUTOMOC

  SOURCES
        alsaplugin.cpp
        alsaplayer.cpp
  LINK
     kttsd-shared
     ${ALSA_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kttsd_alsaplugin.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kttsd-desktops
)

=== debian/changelog ===
tdeaccessibility-trinity (4:14.2.0~pre105-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 0499943d7498aecd45a9c449a7a97cb69bb6e578
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:13:43 +0100

## tdeaccessibility-trinity 14.2.0~pre107

=== kmag/CMakeLists.txt ===
add_subdirectory( images )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

include_directories(
  SYSTEM
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kmag (executable)

tde_add_executable( kmag AUTOMOC

  SOURCES
        kmagzoomview.cpp
        kmagselrect.cpp
        kmag.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( kmag )


##### other data

install(
    FILES kmagui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kmag
)

tde_create_translated_desktop(
    SOURCE kmag.desktop
    PO_DIR kmag-desktops
)

=== kttsd/players/gstplayer/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
   ${TDE_INCLUDE_DIR}
   ${TQT_INCLUDE_DIRS}
   ${CMAKE_SOURCE_DIR}/kttsd/libkttsd
+)
+
+include_directories(
+  SYSTEM
   ${GSTREAMER_INCLUDE_DIRS}
   ${GLIB2_INCLUDE_DIRS}
 )

=== debian/changelog ===
tdeaccessibility-trinity (4:14.2.0~pre107-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1bff1df79e4c8a048b85a6411340a4bcaf5ebf96
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaccessibility

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:13:07 +0100
